<script>
    export /**
     * @type {any}
     */
    let component_summary;

    export let default_component_summary = {
        name: 'Component Title',
        description: 'Short description of component',
        img: 'n/a'
    };

    let component_obj = component_summary ? component_summary : default_component_summary;
</script>

<!-- Component Card Component -->
<div
    class="group relative before:absolute before:-inset-2.5 before:rounded-[20px] before:bg-gray-50 before:opacity-0 hover:before:opacity-100"
>
    <div
        class="relative aspect-[2/1] overflow-hidden rounded-lg bg-gray-100 ring-1 ring-gray-900/10"
    >
        <img class="absolute inset-0 h-full w-full" href={component_obj.img} alt="Component" />
    </div>
    <div>
        <h2 class="mt-4 text-sm font-medium text-slate-900 group-hover:text-indigo-600">
            <a href={'/componentlib/' + component_obj.name.toLowerCase()}>
                <span class="absolute -inset-2.5 z-10" />
                <span class="relative">{component_obj.name}</span>
            </a>
        </h2>
        <p class="relative mt-1.5 text-xs font-medium text-slate-500">
            {component_obj.description}
        </p>
    </div>
</div>
<!-- end card component -->
